{
  config,
  lib,
  options,
  specialArgs,
  modulesPath,
}: {
  home.stateVersion = "23.05";
  home.username = "kristian";
  home.homeDirectory = "/home/kristian";

  home.sessionVariables = {
    # Electron programms won't render correctly under wayland without this
    NIXOS_OZONE_WL = 1;
  };

  # Keyboard Layout
  home.keyboard.layout = "at";

  imports = [
    ./bash.nix
    ./direnv.nix
    ./firefox.nix
    ./fonts.nix
    ./git.nix
    ./gnome.nix
    ./gpg.nix
    ./nvim
    ./packages.nix
    ./thunderbird.nix
    ./vscode.nix
    ./mpv.nix
    ./spiceify.nix
  ];

  # Programs
  programs = {
    home-manager.enable = true; # Allow home-manager to manage itself
    obs-studio.enable = true;
    yt-dlp.enable = true;
  };

  xdg.mimeApps = {
    enable = true;

    defaultApplications = let
      imageViewer = ["org.gnome.Loupe.desktop"];
      videoViewer = ["mpv.desktop"];
      documentViewer = ["org.gnome.Evince.desktop"];
    in {
      "image/png" = imageViewer;
      "image/jpeg" = imageViewer;
      "video/webm" = videoViewer;
      "application/pdf" = documentViewer;
    };
  };
}
