{
  pkgs,
  spicetify,
  ...
}: let
  spicePkgs = spicetify.packages.${pkgs.system}.default;
in {
  programs.spicetify = {
    enable = true;

    theme = spicePkgs.themes.catppuccin;
    colorScheme = "frappe";

    enabledExtensions = with spicePkgs.extensions; [
      fullAppDisplay
      shuffle # shuffle+ (special characters are sanitized out of ext names)
      hidePodcasts
      groupSession
      playlistIntersection
      skipStats
      phraseToPlaylist
      wikify
      songStats
    ];
  };
}
